document.onmouseover = doOver;
document.onmouseout  = doOut;
document.onmousedown = doDown;
document.onmouseup   = doUp;
var loaded = 0;



function doOver() {
	var toEl = getReal(window.event.toElement, "className", "coolButton");
	var fromEl = getReal(window.event.fromElement, "className", "coolButton");
	if (toEl == fromEl) return;
	var el = toEl;
	var cDisabled = el.cDisabled;
	cDisabled = (cDisabled != null); 
	if (el.className == "coolButton")
		el.onselectstart = new Function("return false");
	if ((el.className == "coolButton") && !cDisabled) {
		makeRaised(el);
		makeGray(el,false);
	}
}
function doOut() {
	var toEl = getReal(window.event.toElement, "className", "coolButton");
	var fromEl = getReal(window.event.fromElement, "className", "coolButton");
	if (toEl == fromEl) return;
	var el = fromEl;
	var cDisabled = el.cDisabled;
	cDisabled = (cDisabled != null);
	var cToggle = el.cToggle;
	toggle_disabled = (cToggle != null);
	if (cToggle && el.value) {
		makePressed(el);
		makeGray(el,true);
	}
	else if ((el.className == "coolButton") && !cDisabled) {
		makeFlat(el);
		makeGray(el,true);
	}
}
function doUp() {
	el = getReal(window.event.srcElement, "className", "coolButton");
	
	var cDisabled = el.cDisabled;
	cDisabled = (cDisabled != null);
	
	if ((el.className == "coolButton") && !cDisabled) {
		makeRaised(el);
	}
}
function getReal(el, type, value) {
	temp = el;
	while ((temp != null) && (temp.tagName != "BODY")) {
		if (eval("temp." + type) == value) {
			el = temp;
			return el;
		}
		temp = temp.parentElement;
	}
	return el;
}
function findChildren(el, type, value) {
	var children = el.children;
	var tmp = new Array();
	var j=0;	
	for (var i=0; i<children.length; i++) {
		if (eval("children[i]." + type + "==\"" + value + "\"")) {
			tmp[tmp.length] = children[i];
		}
		tmp = tmp.concat(findChildren(children[i], type, value));
	}	
	return tmp;
}
function disable(el) {
	if (document.readyState != "complete") {
		window.setTimeout("disable(" + el.id + ")", 100);
		return;
	}	
	var cDisabled = el.cDisabled;	
	cDisabled = (cDisabled != null);
	if (!cDisabled) {
		el.cDisabled = true;
		el.innerHTML = '<span style="background: buttonshadow; width: 100%; height: 100%; text-align: center;">' +
						'<span style="filter:Mask(Color=buttonface) DropShadow(Color=buttonhighlight, OffX=1, OffY=1, Positive=0); height: 100%; width: 100%%; text-align: center;">' +
						el.innerHTML + '</span>' + '</span>';
		if (el.onclick != null) {
			el.cDisabled_onclick = el.onclick;
			el.onclick = null;
		}
	}
}
function enable(el) {
	var cDisabled = el.cDisabled;	
	cDisabled = (cDisabled != null);	
	if (cDisabled) {
		el.cDisabled = null;
		el.innerHTML = el.children[0].children[0].innerHTML;
		if (el.cDisabled_onclick != null) {
			el.onclick = el.cDisabled_onclick;
			el.cDisabled_onclick = null;
		}
	}
}
function addToggle(el) {
	var cDisabled = el.cDisabled;	
	cDisabled = (cDisabled != null);	
	var cToggle = el.cToggle;	
	cToggle = (cToggle != null);
	if (!cToggle && !cDisabled) {
		el.cToggle = true;		
		if (el.value == null)
			el.value = 0;		
		if (el.onclick != null)
			el.cToggle_onclick = el.onclick;
		else 
			el.cToggle_onclick = "";
		el.onclick = new Function("toggle(" + el.id +"); " + el.id + ".cToggle_onclick();");
	}
}
function removeToggle(el) {
	var cDisabled = el.cDisabled;	
	cDisabled = (cDisabled != null);	
	var cToggle = el.cToggle;	
	cToggle = (cToggle != null);	
	if (cToggle && !cDisabled) {
		el.cToggle = null;
		if (el.value) {
			toggle(el);
		}
		makeFlat(el);		
		if (el.cToggle_onclick != null) {
			el.onclick = el.cToggle_onclick;
			el.cToggle_onclick = null;
		}
	}
}
function toggle(el) {
	el.value = !el.value;	
	if (el.value)
		el.style.background = "URL(/images/tileback.gif)";
	else
		el.style.backgroundImage = "";
}
function makeFlat(el) {
	with (el.style) {
		background = "";
		border = "1px solid buttonface";
		if ((el.id != "more") && (el.id != "fore"))
			padding      = "1px";
	}
}
function makeRaised(el) {
	with (el.style) {
		borderLeft   = "1px solid buttonhighlight";
		borderRight  = "1px solid buttonshadow";
		borderTop    = "1px solid buttonhighlight";
		borderBottom = "1px solid buttonshadow";
		if ((el.id != "more") && (el.id != "fore"))
			padding      = "1px";
	}
}
function makePressed(el) {
	with (el.style) {
		borderLeft   = "1px solid buttonshadow";
		borderRight  = "1px solid buttonhighlight";
		borderTop    = "1px solid buttonshadow";
		borderBottom = "1px solid buttonhighlight";
		if ((el.id != "more") && (el.id != "fore")){
			paddingTop    = "2px";
			paddingLeft   = "2px";
			paddingBottom = "0px";
			paddingRight  = "0px";
		}
	}
}
function makeGray(el,b) {
}
document.write("<style>");
document.write(".coolBar	{background: buttonface;border-top: 1px solid buttonhighlight;	border-left: 1px solid buttonhighlight;	border-bottom: 1px solid buttonshadow; border-right: 1px solid buttonshadow; padding: 2px; font: menu;}");
document.write(".coolButton {border: 1px solid buttonface; padding: 1px; text-align: center; cursor: default;}");
document.write("</style>");
var activeCSS			= "border: 1 solid buttonface; color: windowtext; cursor: text;";
var inactiveCSS			= "border: 1 solid window; cursor: hand; color: red;";
var validTextColor		= "windowtext";
var invalidTextColor	= "buttonshadow";

// µ÷ÓÃ¸ñÊ½ÃüÁî
function doFormat(what) {
	var eb = document.all.editbar;
	eb._editor.execCommand(what, arguments[1]);
}

function Format1(what,opt,which) {
	var eb = document.all.editbar;
	eb._editor.addpic(what,opt,which);
}

function doSelectClick(str, el) {
	var Index = el.selectedIndex;
	if (Index != 0){
		el.selectedIndex = 0;
		if (el.id == "specialtype")
			document.all.editbar._editor.specialtype(el.options[Index].value);
		else
			doFormat(str,el.options[Index].value);
	}
}
function doDown() {
	if (window.event.button > 1)
		//showHelp();
		showModalDialog("copyright.html","","dialogWidth:20;dialogHeight:10;dialogTop:100;dialogLeft:200;status:no;");
	document.frames.myEditor.selectRange();
	el = getReal(window.event.srcElement, "className", "coolButton");
	var cDisabled = el.cDisabled;
	cDisabled = (cDisabled != null);
	if ((el.className == "coolButton") && !cDisabled) {
		makePressed(el)
	}
}
function palette(el) {
	var return_value = showModalDialog("palette.html","","dialogWidth:18;dialogHeight:16;dialogTop:50;dialogLeft:500;status:no;");
	if (return_value != ""){		
		el.style.backgroundColor = return_value;
	}
}
function showHelp(){	

	window.open("help.html", "none","resizable=yes,left=5,top=5,width=600,height=350,scrollbars=yes,menubar=no");
	
}	
function showmore(){
	editbar.style.display = "none";
	editbar1.style.display = "block";
	more.style.display = "none";
	fore.style.display = "block";
}
function showfore(){
	editbar.style.display = "block";
	editbar1.style.display = "none";
	more.style.display = "block";
	fore.style.display = "none";
}
function nowinstatus(){
	window.status=''
}
function fixSize() {
	document.all.edit1.style.height = Math.max(document.body.clientHeight - document.all.edit1.offsetTop, 0);
}
function init() {
	fixSize();	
	if (loaded){
		parent.document.all.editor.style.display = "block";
		parent.status = "";		
	}
	else
		loaded = 1;	
}
function AddImg(){	
	document.all.UploadImg.style.display = "block";
}
function CancelAddImg(){
	document.all.UploadImg.style.display = "none";
}
function UploadComplete(URL){
	if ((URL != null) && (URL != ""))
		if (URL.indexOf(":") == -1)
			doFormat("InsertImage",URL);
		else			
			doFormat("InsertImage", URL);
	document.all.UploadImg.style.display = "none";
	document.forms["upload"].reset();
}
function savefile(){
	if (edit1.format == "ABC")
		parent.document.forms[1].body.value = myEditor.textEdit.document.body.innerText;
	else
		parent.document.forms[1].body.value = myEditor.textEdit.document.body.innerHTML;
}